Subject: [Gen-art] review of draft-ietf-dhc-access-network-identifier-08.txt

From: Francis Dupont <[email-masked]>
Date: Wed, 03 Jun 2015 16:55:15 +0200

I am the assigned Gen-ART reviewer for this draft. For background on
Gen-ART, please see the FAQ at

<http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Please resolve these comments along with any other Last Call comments
you may receive.

Document: draft-ietf-dhc-access-network-identifier-08.txt
Reviewer: Francis Dupont
Review Date: 20150601
IETF LC End Date: 20150609
IESG Telechat date: unknown

Summary: Ready

Major issues: None

Minor issues: None

Nits/editorial comments:
 - ToC page 2 and 10 page 16: Acknowledgements -> Acknowledgments
  (BTW you wrote behavior, not behaviour, so please keep US spelling :-)

 - 3 page 5: I was looking for the RFC 2119 reference there but
  it was just after the Abstract. So I went to the RFC-Editor webpages
  to read what the last RFC Style Guide says: the requirement language
  section is supposed to be in the body (vs headers) after the introduction
  (i.e., exactly where I expected to find it :-).
  Note it doesn't really matter and if something needs to be fixed it is
  more likely the tool you used...

 - 4.3.1 page 7: Identifier[ANI].
                           ^ insert a space here

 - 4.4.2 page 10: Ex: -> e.g.,

 - 4.4.2 page 10: the DNS encoding is a bit ambiguous because there are
  (too) many things in RFC 1035. I think you mean the wire format (vs
  text format) but perhaps it should be better to be more accurate in
  the wording?

 - 7 page 14 (twice): must -> MUST.

 - 7 page 14: I suggest to change:
    ... When generating a response, the server echoes
   back Relay Agent Information options

by

    ... When generating a response, the server SHALL
   echo back Relay Agent Information options

 - 9 page 15: And, [RFC3118] and [RFC3315] -> [RFC3118] and [RFC3315]

 - 9 page 15: draft-ietf-dhc-sedhcpv6-07.txt is under IESG review,
  perhaps will be published before your document, and obsoletes
  a part of the argument (unfortunately not the "in active use"
  even the day before my review I finished the code of a secure DHCPv6
  prototype :-).

 - authors' addresses pages 17 and 18: no uniformity in the case of
  country names (The UPU says upper case but this doesn't apply to
  I-Ds/RFCs... The RFC-Editor will fix addresses).

Regards

[email-masked]

PS for native English speakers: is unsecure proper English? My speller
says insecure and unsecured are but not unsecure.

---

From: Elwyn Davies <[email-masked]>
Date: Wed, 03 Jun 2015 17:25:30 +0100

Hi, Francis.

On 03/06/2015 15:55, Francis Dupont wrote:
> <snip>
> _______________________________________________

In modern usage "insecure" is (pretty much) always used for something 
that is not secure (e.g., The lock on that door is insecure.).  Checking 
back into the nearest thing we have to an authoritative source, the 
(full) Oxford English Dictionary (OED) *does* have an entry for 
"unsecure" but it is marked  Obs(olete) and the small number of 
quotations using it hark
back to the 19th century and earlier.  So it isn't 'wrong' but it is 
archaic.

<etymology nerd mode on>

The answer for American English may be different. (e.g., 
http://english.stackexchange.com/questions/19653/insecure-or-unsecure-when-dealing-with-security) 
or it may just be jargon in things like financial systems.

Checking in my ancient paper dictionary (early 20th C), it has 
"insecure" and "unsecured" as per your speller.  However it caught my 
eye (and tweaked my memory) that both "indiscipline" and "undiscipline" 
*are* both used in modern English. There is possibly a very subtle 
difference in meaning.

For etymological nerds, both my old dictionary and the OED give 
"insecure" as a separate head word whereas there is a humungous entry 
for "un-" as a prefix including "unsecured", "undiscipline" and a vast 
number of other un's.  To quote the Collin's dictionary:

    un-^2

prefix
1.
denoting reversal of an action or state: uncover, untangle
2.
denoting removal from, release, or deprivation: unharness, unman, unthrone
3.
(intensifier): unloose

and from the Online Etymology Dictionary:
...
Freely and widely used since Old English in compounds with native and 
imported words, it disputes with Latin-derived cognate in- 
<http://dictionary.reference.com/browse/in->the right to form the 
negation of certain words ( indigestable/undigestable, etc.). Often 
euphemistic (e.g. untruth for "lie"). The most prolific of English 
prefixes, it even is used to make words from phrases (e.g. uncalled-for, 
c.1600; undreamed-of, 1630s; uncome-at-able, 1690s; unputdownable, 1947, 
of a book; un-in-one-breath-utterable, Ben Jonson; etc., but not 
restricted to un- ; cf. put-up-able-with, 1812). As a prefix in 
telegram-ese to replace not 
<http://dictionary.reference.com/browse/not>and save the cost of a word, 
it is first attested 1936.

Yes.. the entry for Un- in my old dictionary runs to about 10 pages in 
very small type.

So, the authors of the draft can probably claim that they have 'freely 
used' unsecure as the negative of secure and you can't really complain.

Thinking about it, I wouldn't have any difficulty in using the verb "to 
unsecure" (see meaning 2 above) meaning remove the means securing 
something ("Take off the padlock" perhaps)... "unsecured" is the past 
participle of this verb.   BUT AFAIK there isn't a corresponding verb 
"to insecure" in use - it just sounds wrong! What a daft language!

<etymology nerd mode off>

Well, you did ask...

/Elwyn

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 04 Jun 2015 08:20:33 +1200

Sigh. This caused me to get out my grandfather's copy
of Webster's New International, dated 1920. (Although
why an Englishman bought a copy of Webster in 1920 has
always confused me.)

'unsecure' is listed in the small print section as a synonym
for 'insecure', tagged /rare/.

Regards
   Brian

On 04/06/2015 04:25, Elwyn Davies wrote:
> In modern usage "insecure" is (pretty much) always used for something that is not secure (e.g., The lock on that door is
> insecure.).  Checking back into the nearest thing we have to an authoritative source, the (full) Oxford English Dictionary (OED)
> *does* have an entry for "unsecure" but it is marked  Obs(olete) and the small number of quotations using it hark
> back to the 19th century and earlier.  So it isn't 'wrong' but it is archaic.
> 
> <etymology nerd mode on>
> 
> http://english.stackexchange.com/questions/19653/insecure-or-unsecure-when-dealing-with-security) or it may just be jargon in
> things like financial systems.
> 
> Checking in my ancient paper dictionary (early 20th C), it has "insecure" and "unsecured" as per your speller.  However it
> caught my eye (and tweaked my memory) that both "indiscipline" and "undiscipline" *are* both used in modern English. There is
> possibly a very subtle difference in meaning.
> 
> For etymological nerds, both my old dictionary and the OED give "insecure" as a separate head word whereas there is a humungous
> entry for "un-" as a prefix including "unsecured", "undiscipline" and a vast number of other un's.  To quote the Collin's
> dictionary:
> 
> 
>    un-^2
> 
> prefix
> 1.
> Freely and widely used since Old English in compounds with native and imported words, it disputes with Latin-derived cognate in-
> <http://dictionary.reference.com/browse/in->the right to form the negation of certain words ( indigestable/undigestable, etc.).
> Often euphemistic (e.g. untruth for "lie"). The most prolific of English prefixes, it even is used to make words from phrases
> (e.g. uncalled-for, c.1600; undreamed-of, 1630s; uncome-at-able, 1690s; unputdownable, 1947, of a book;
> un-in-one-breath-utterable, Ben Jonson; etc., but not restricted to un- ; cf. put-up-able-with, 1812). As a prefix in
> telegram-ese to replace not <http://dictionary.reference.com/browse/not>and save the cost of a word, it is first attested 1936.
> 
> Yes.. the entry for Un- in my old dictionary runs to about 10 pages in very small type.
> 
> So, the authors of the draft can probably claim that they have 'freely used' unsecure as the negative of secure and you can't
> really complain.
> 
> Thinking about it, I wouldn't have any difficulty in using the verb "to unsecure" (see meaning 2 above) meaning remove the means
> securing something ("Take off the padlock" perhaps)... "unsecured" is the past participle of this verb.   BUT AFAIK there isn't
> a corresponding verb "to insecure" in use - it just sounds wrong! What a daft language!
> 
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art
>